Summary:        Library for getting and setting POSIX.1e capabilities
Name:           libcap
Version:        2.69
Release:        5%{?dist}
License:        BSD or GPLv2
URL:            https://sites.google.com/site/fullycapable/
Source0:        https://git.kernel.org/pub/scm/libs/libcap/libcap.git/snapshot/%{name}-%{version}.tar.gz

#riscv64
Patch0001: 0001-riscv64-Set-fixed-value-for-lib.patch

BuildRequires:  make libattr-devel pam-devel perl-interpreter gcc

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package static
Summary: libcap static libraries
Requires: %{name} = %{version}-%{release}

%description static
This package provides libcap static libraries.

%package devel
Summary: libcap development files
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libcap development files.

%prep
%autosetup

%build
%make_build

%install
%make_install RAISE_SETFCAP=no LIBDIR=%{_libdir} SBINDIR=%{_sbindir} 
install -p -m 0644 doc/cap_*_ambient.3 %{buildroot}%{_mandir}/man3/

%files
%license License
%doc doc/capability.md
%{_sbindir}/*
%{_libdir}/*.so.*
%{_libdir}/security/pam_cap.so
%{_mandir}/man1/*
%{_mandir}/man8/*

%files static
%{_libdir}/libcap.a
%{_libdir}/libpsx.a

%files devel
%{_libdir}/pkgconfig/libcap.pc
%{_libdir}/pkgconfig/libpsx.pc
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*

%changelog
* Sat Oct 12 2024 Jian Zhao <jackjzhao@tencent.com> - 2.69-5
- riscv64: Set a fixed value for 'lib' in the Make.Rules file

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.69-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.69-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.69-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 28 2023 kianli <kianli@tencent.com> - 2.69-1
- Upgrade to 2.69

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.64-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.64-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 7 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.64-1
- Initial build
